ADL: Tkinter Problem

Ben Staley Ben.Staley at postgrad.manchester.ac.uk
Wed Oct 17 01:00:50 PDT 2007


Thanks for your help. Upgrading to the latest version of X11 has solved the
problem.

Ben Staley

> Ben Staley wrote:
>> Am running OS X 10.4.10 with X11 1.1 installed. Have installed
>> mgltools_i86Darwin8_1.4.6.dmg in view to run autodock4.
>> On running AutoDockTools-1.4.6 am presenting with the error message:
>>
>> Traceback (most recent call last):
>>   File "/Library/MGLTools/1.4.6/MGLToolsPckgs/
>> AutoDockTools/__init__.py", line 303, in startADT
>>    from Tkinter import Tk
>>   File "/Library/MGLTools/1.4.6/share/lib/
>> python2.4/lib-tk/Tkinter.py",line 38 in ?
>>    import _
>>
>> Looking at line 38 in full:
>>
>> import _tkinter # If this fails your Python may not be configured for Tk
>>
>> This would suggest that tkinter is not working for this install. 
>> Have got Python
>> 2.5.1 installed and Tkinter is working correctly in that 
>> environment, but am I
>> to understand that the Python 2.4 included with the AutoDockTools is the one
>> that needs to be configured for the correct running of the Tkinter module?
>
> Thanks for the bug report. Could you please update to the latest 
> version of X11
> and see if it fixes the problem?
>
> http://www.apple.com/support/downloads/x11update2006113.html
> http://mgltools.scripps.edu/documentation/faq/x-error-on-startup-mac-os-x
>
> mgltools_i86Darwin8_1.4.6.dmg contains Python 2.4 and Tcl/Tk 8.4 that 
> we build
> on iMac and /Library/MGLTools/1.4.6/share/bin/adt sets all 
> environment variables
> to ensure that we use Python and Tkinter distributed with MGLTools.
>
> If upgrading to the latest X11 doesn't solve the problem please run
> otool -L 
> /Library/MGLTools/1.4.6/i86Darwin8/lib/python2.4/lib-dynload/_tkinter.so
> and send me the output.
>
> Thanks,
> Sargis
>
> ________________________________________________
> --- ADL: AutoDock List  --- http://autodock.scripps.edu/mailing_list ---
>





More information about the autodock mailing list